using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BindingList_Test
{
    public partial class Form1 : Form
    {
        private PersonCollection people = new PersonCollection();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            people.Add(new Person(1, "Peter", "Williams"));
            people.Add(new Person(2, "Paul", "Jones"));
            people.Add(new Person(3, "Mary", "Smith"));

            this.dataGridView1.DataSource = this.people;
        }

        private void sortButton_Click(object sender, EventArgs e)
        {
            try
            {
                this.people.Sort = this.sortClauseTextBox.Text;
                this.sortClauseTextBox.Text = this.people.Sort;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message,
                                "Error",
                                MessageBoxButtons.OK,
                                MessageBoxIcon.Error);
            }
        }
    }
}